Graph API Version
URL /?id={url}
Represents an external URL as it relates to the Facebook social graph - shares and comments from the URL on Facebook, and any Open Graph objects associated with the URL.
Reading
GET /v2.9/?id=http%3A%2F%2Fwww.imdb.com%2Ftitle%2Ftt2015381%2F HTTP/1.1
Host: graph.facebook.com/* PHP SDK v5.0.0 */
/* make the API call */
$request = new FacebookRequest(
$session,
'GET',
'/',
array (
'id' => 'http://www.imdb.com/title/tt2015381/',
)
);
$response = $request->execute();
$graphObject = $response->getGraphObject();
/* handle the result *//* make the API call */
FB.api(
"/",
{
"id": "http:\/\/www.imdb.com\/title\/tt2015381\/"
},
function (response) {
if (response && !response.error) {
/* handle the result */
}
}
);Bundle params = new Bundle();
params.putString("id", "http://www.imdb.com/title/tt2015381/");
/* make the API call */
new GraphRequest(
AccessToken.getCurrentAccessToken(),
"/",
params,
HttpMethod.GET,
new GraphRequest.Callback() {
public void onCompleted(GraphResponse response) {
/* handle the result */
}
}
).executeAsync();// For more complex open graph stories, use `FBSDKShareAPI`
// with `FBSDKShareOpenGraphContent`
NSDictionary *params = @{
@"id": @"http://www.imdb.com/title/tt2015381/",
};
/* make the API call */
FBSDKGraphRequest *request = [[FBSDKGraphRequest alloc]
initWithGraphPath:@"/"
parameters:params
HTTPMethod:@"GET"];
[request startWithCompletionHandler:^(FBSDKGraphRequestConnection *connection,
id result,
NSError *error) {
// Handle the result
}];Permissions
- Any access token can be used to make this request. However, an
app_access_tokenoruser_access_tokenis needed for engagment field requests.
Fields
| Property Name | Description | Type |
|---|---|---|
| The URL itself. |
|
| The Open Graph object that is canonically associated with this URL. |
|
| AppLinks data associated with this URL. | |
| Engagements associated with this URL. |
|
Publishing
You cannot publish this info via the Graph API.
Deleting
You cannot delete this info via the Graph API.
Updating
You cannot update this info via the Graph API.